summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorSimon McVittie <smcv@debian.org>2020-10-30 23:18:10 +0000
committerSimon McVittie <smcv@debian.org>2020-10-30 23:20:04 +0000
commitd0f69b6bf0e6b93a92c2450e67df6abbb8475dd2 (patch)
treef8d3255b547706684234a2b28ecc16a0565dacbe
parentf315520f55ee88a7b793cc8e467e70f22b3a05e0 (diff)
Drop patches that came from upstream
-rw-r--r--debian/changelog2
-rw-r--r--debian/patches/Update-ui.js.patch47
-rw-r--r--debian/patches/add-support-for-gnome-3.34.patch95
-rw-r--r--debian/patches/fix-gnome-version-check.patch21
-rw-r--r--debian/patches/fix-installation-instruction.patch46
-rw-r--r--debian/patches/series5
-rw-r--r--debian/patches/stop-supporting-older-gnome-versions.patch21
7 files changed, 2 insertions, 235 deletions
diff --git a/debian/changelog b/debian/changelog
index 89a68ac..98fd325 100644
--- a/debian/changelog
+++ b/debian/changelog
@@ -1,6 +1,8 @@
gnome-shell-extension-bluetooth-quick-connect (16-1) UNRELEASED; urgency=medium
* New upstream release
+ - Drop patch series
+ - The code is identical to the patched versions 13-2 and 13-3
-- Simon McVittie <smcv@debian.org> Fri, 30 Oct 2020 23:16:58 +0000
diff --git a/debian/patches/Update-ui.js.patch b/debian/patches/Update-ui.js.patch
deleted file mode 100644
index 26f563d..0000000
--- a/debian/patches/Update-ui.js.patch
+++ /dev/null
@@ -1,47 +0,0 @@
-From: Raushan Kumar Pandey <raushan.kumar478@gmail.com>
-Date: Wed, 2 Sep 2020 01:30:42 +0530
-Subject: Update ui.js
-
-Tweener has been removed from gnome-shell. This changes fixes the issue in gnome 3.38
----
- ui.js | 11 ++++-------
- 1 file changed, 4 insertions(+), 7 deletions(-)
-
-diff --git a/ui.js b/ui.js
-index 5b703fa..ea3354b 100644
---- a/ui.js
-+++ b/ui.js
-@@ -18,7 +18,6 @@
- const Clutter = imports.gi.Clutter;
- const GObject = imports.gi.GObject;
- const St = imports.gi.St;
--const Tweener = imports.ui.tweener;
- const PopupMenu = imports.ui.popupMenu;
- const Config = imports.misc.config;
-
-@@ -79,21 +78,19 @@ var PopupBluetoothDeviceMenuItem = GObject.registerClass(
- });
-
- button.connect("enter-event", (widget) => {
-- Tweener.addTween(
-- widget.child, {
-+ widget.child.ease( {
- opacity: 255,
- time: 0.05,
-- transition: 'linear'
-+ transition: Clutter.AnimationMode.LINEAR
- }
- );
- });
-
- button.connect("leave-event", (widget) => {
-- Tweener.addTween(
-- widget.child, {
-+ widget.child.ease( {
- opacity: 155,
- time: 0.05,
-- transition: 'linear'
-+ transition: Clutter.AnimationMode.LINEAR
- }
- );
- });
diff --git a/debian/patches/add-support-for-gnome-3.34.patch b/debian/patches/add-support-for-gnome-3.34.patch
deleted file mode 100644
index aa2ff28..0000000
--- a/debian/patches/add-support-for-gnome-3.34.patch
+++ /dev/null
@@ -1,95 +0,0 @@
-From: Bartosz Jaroszewski <b.jarosze@gmail.com>
-Date: Sun, 7 Jun 2020 14:20:33 +0200
-Subject: add support for gnome 3.34
-
----
- metadata.json | 3 ++-
- ui.js | 28 ++++++++++++++++++----------
- 2 files changed, 20 insertions(+), 11 deletions(-)
-
-diff --git a/metadata.json b/metadata.json
-index bc3f83f..e710ffd 100644
---- a/metadata.json
-+++ b/metadata.json
-@@ -6,6 +6,7 @@
- "settings-schema": "org.gnome.shell.extensions.bluetooth-quick-connect",
- "gettext-domain": "bluetooth-quick-connect",
- "shell-version": [
-- "3.36"
-+ "3.36",
-+ "3.34"
- ]
- }
-diff --git a/ui.js b/ui.js
-index e773f98..b2dc363 100644
---- a/ui.js
-+++ b/ui.js
-@@ -20,11 +20,7 @@ const GObject = imports.gi.GObject;
- const St = imports.gi.St;
- const Tweener = imports.ui.tweener;
- const PopupMenu = imports.ui.popupMenu;
--
--const ExtensionUtils = imports.misc.extensionUtils;
--const Me = ExtensionUtils.getCurrentExtension();
--const Utils = Me.imports.utils;
--
-+const Config = imports.misc.config;
-
- var PopupBluetoothDeviceMenuItem = GObject.registerClass(
- class PopupSwitchWithButtonMenuItem extends PopupMenu.PopupSwitchMenuItem {
-@@ -42,6 +38,11 @@ var PopupBluetoothDeviceMenuItem = GObject.registerClass(
- this._pendingLabel = this._buildPendingLabel();
- this._connectToggledEvent();
-
-+ if (this._isOldGnome()) {
-+ this.remove_child(this._statusBin);
-+ this.add(this._statusBin, { expand: false });
-+ }
-+
- this.insert_child_at_index(this._refreshButton, this.get_n_children() - 1);
- this.add_child(this._pendingLabel);
-
-@@ -50,7 +51,7 @@ var PopupBluetoothDeviceMenuItem = GObject.registerClass(
-
- sync(device) {
- this._device = device;
-- this._switch.state = device.isConnected;
-+ this._syncSwitch(device);
- this.visible = device.isPaired;
- if (this._showRefreshButton && device.isConnected)
- this._refreshButton.show();
-@@ -58,6 +59,13 @@ var PopupBluetoothDeviceMenuItem = GObject.registerClass(
- this._refreshButton.hide();
- }
-
-+ _syncSwitch(device) {
-+ if (this._isOldGnome())
-+ return this._switch.setToggleState(device.isConnected);
-+
-+ this._switch.state = device.isConnected;
-+ }
-+
- _buildRefreshButton() {
- let icon = new St.Icon({
- icon_name: 'view-refresh',
-@@ -144,10 +152,6 @@ var PopupBluetoothDeviceMenuItem = GObject.registerClass(
- this._enablePending();
- }
-
-- hideRefreshButton() {
-- this._refreshButton.hide();
-- }
--
- _enablePending() {
- this._refreshButton.reactive = false;
- this._switch.hide();
-@@ -161,5 +165,9 @@ var PopupBluetoothDeviceMenuItem = GObject.registerClass(
- this._pendingLabel.hide();
- this.reactive = true;
- }
-+
-+ _isOldGnome() {
-+ return Config.PACKAGE_VERSION.match(/3\.3[24]/);
-+ }
- }
- );
diff --git a/debian/patches/fix-gnome-version-check.patch b/debian/patches/fix-gnome-version-check.patch
deleted file mode 100644
index 124b729..0000000
--- a/debian/patches/fix-gnome-version-check.patch
+++ /dev/null
@@ -1,21 +0,0 @@
-From: Bartosz Jaroszewski <b.jarosze@gmail.com>
-Date: Sun, 7 Jun 2020 15:41:25 +0200
-Subject: fix gnome version check
-
----
- ui.js | 2 +-
- 1 file changed, 1 insertion(+), 1 deletion(-)
-
-diff --git a/ui.js b/ui.js
-index b2dc363..5b703fa 100644
---- a/ui.js
-+++ b/ui.js
-@@ -167,7 +167,7 @@ var PopupBluetoothDeviceMenuItem = GObject.registerClass(
- }
-
- _isOldGnome() {
-- return Config.PACKAGE_VERSION.match(/3\.3[24]/);
-+ return Config.PACKAGE_VERSION.startsWith('3.34');
- }
- }
- );
diff --git a/debian/patches/fix-installation-instruction.patch b/debian/patches/fix-installation-instruction.patch
deleted file mode 100644
index 47317b1..0000000
--- a/debian/patches/fix-installation-instruction.patch
+++ /dev/null
@@ -1,46 +0,0 @@
-From: Bartosz Jaroszewski <b.jarosze@gmail.com>
-Date: Sun, 7 Jun 2020 14:05:25 +0200
-Subject: fix installation instruction
-
----
- README.md | 5 +++--
- ui.js | 3 ++-
- 2 files changed, 5 insertions(+), 3 deletions(-)
-
-diff --git a/README.md b/README.md
-index 12b32e5..b93d4c9 100644
---- a/README.md
-+++ b/README.md
-@@ -18,8 +18,9 @@ https://extensions.gnome.org/extension/1401/bluetooth-quick-connect/
- git clone https://github.com/bjarosze/gnome-bluetooth-quick-connect
- cd gnome-bluetooth-quick-connect
- make
--rm -r ~/.local/share/gnome-shell/extensions/bluetooth-quick-connect@bjarosze.gmail.com
--cp -r gnome-bluetooth-quick-connect ~/.local/share/gnome-shell/extensions/bluetooth-quick-connect@bjarosze.gmail.com
-+rm -rf ~/.local/share/gnome-shell/extensions/bluetooth-quick-connect@bjarosze.gmail.com
-+mkdir -p ~/.local/share/gnome-shell/extensions/bluetooth-quick-connect@bjarosze.gmail.com
-+cp -r * ~/.local/share/gnome-shell/extensions/bluetooth-quick-connect@bjarosze.gmail.com
- ```
-
- ## Troubleshooting
-diff --git a/ui.js b/ui.js
-index 86deae4..e773f98 100644
---- a/ui.js
-+++ b/ui.js
-@@ -25,6 +25,7 @@ const ExtensionUtils = imports.misc.extensionUtils;
- const Me = ExtensionUtils.getCurrentExtension();
- const Utils = Me.imports.utils;
-
-+
- var PopupBluetoothDeviceMenuItem = GObject.registerClass(
- class PopupSwitchWithButtonMenuItem extends PopupMenu.PopupSwitchMenuItem {
- _init(device, params) {
-@@ -66,7 +67,7 @@ var PopupBluetoothDeviceMenuItem = GObject.registerClass(
-
- let button = new St.Button({
- child: icon,
-- x_align: Clutter.ActorAlign.END
-+ x_align: St.Align.END
- });
-
- button.connect("enter-event", (widget) => {
diff --git a/debian/patches/series b/debian/patches/series
deleted file mode 100644
index 3f988a4..0000000
--- a/debian/patches/series
+++ /dev/null
@@ -1,5 +0,0 @@
-fix-installation-instruction.patch
-add-support-for-gnome-3.34.patch
-fix-gnome-version-check.patch
-Update-ui.js.patch
-stop-supporting-older-gnome-versions.patch
diff --git a/debian/patches/stop-supporting-older-gnome-versions.patch b/debian/patches/stop-supporting-older-gnome-versions.patch
deleted file mode 100644
index 6ce68f4..0000000
--- a/debian/patches/stop-supporting-older-gnome-versions.patch
+++ /dev/null
@@ -1,21 +0,0 @@
-From: Bartosz Jaroszewski <b.jarosze@gmail.com>
-Date: Thu, 3 Sep 2020 16:45:17 +0200
-Subject: stop supporting older gnome versions
-
----
- metadata.json | 3 +--
- 1 file changed, 1 insertion(+), 2 deletions(-)
-
-diff --git a/metadata.json b/metadata.json
-index e710ffd..925b6c8 100644
---- a/metadata.json
-+++ b/metadata.json
-@@ -6,7 +6,6 @@
- "settings-schema": "org.gnome.shell.extensions.bluetooth-quick-connect",
- "gettext-domain": "bluetooth-quick-connect",
- "shell-version": [
-- "3.36",
-- "3.34"
-+ "3.38"
- ]
- }